include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_SOURCE_DIR}/..
  ${CMAKE_SOURCE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


###### kstarstools (static)

tde_add_library( kstarstools STATIC AUTOMOC

  SOURCES
        altvstimeui.ui wutdialogui.ui
        modcalcapcoorddlg.ui modcalcazeldlg.ui
        modcalcdaylengthdlg.ui modcalcgalcoorddlg.ui
        modcalcgeoddlg.ui modcalcjddlg.ui
        modcalcprecdlg.ui modcalcsidtimedlg.ui
        scriptbuilderui.ui scriptnamedialog.ui
        optionstreeview.ui argchangeviewoption.ui
        arglooktoward.ui argsetaltaz.ui
        argsetgeolocation.ui argsetlocaltime.ui
        argsetradec.ui argsettrack.ui
        argtimescale.ui argwaitforkey.ui
        argwaitfor.ui argzoom.ui
        argexportimage.ui argprintimage.ui
        argsetcolor.ui argloadcolorscheme.ui
        planetviewerui.ui modcalcequinoxdlg.ui
        modcalcplanetsdlg.ui modcalceclipticcoordsdlg.ui
        modcalcangdistdlg.ui argsetfilternumindi.ui
        observinglistui.ui argstartindi.ui
        argshutdownindi.ui argswitchindi.ui
        argsetportindi.ui argsettargetcoordindi.ui
        argsettargetnameindi.ui argsetactionindi.ui
        argsetfocusspeedindi.ui argstartfocusindi.ui
        argsetfocustimeoutindi.ui argsetgeolocationindi.ui
        argstartexposureindi.ui argsetutcindi.ui
        argsetframetypeindi.ui argsetscopeactionindi.ui
        argsetccdtempindi.ui modcalcvlsrdlg.ui
        obslistwizardui.ui
        altvstime.cpp wutdialog.cpp
        astrocalc.cpp lcgenerator.cpp
        modcalcapcoord.cpp modcalcazel.cpp
        modcalcdaylength.cpp modcalcgalcoord.cpp
        modcalcgeodcoord.cpp modcalcjd.cpp
        modcalcprec.cpp modcalcsidtime.cpp
        scriptbuilder.cpp scriptfunction.cpp
        planetviewer.cpp jmoontool.cpp
        kstarsplotwidget.cpp modcalcequinox.cpp
        modcalcplanets.cpp modcalceclipticcoords.cpp
        modcalcangdist.cpp observinglist.cpp
        modcalcvlsr.cpp obslistwizard.cpp 

  LINK
     tdeeduplot-shared
)
